% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ggready.R
\name{ggready.decorated}
\alias{ggready.decorated}
\title{Prepare Decorated Data Frame for GGplot}
\usage{
\method{ggready}{decorated}(
  x,
  ...,
  parse = getOption("yamlet_ggready_parse", TRUE),
  resolve = TRUE
)
}
\arguments{
\item{x}{object}

\item{...}{passed to \code{\link{append_units}} and \code{\link{resolve}}; may include unquoted column names}

\item{parse}{passed to \code{\link{append_units}}}

\item{resolve}{whether to resolve guide attributes}
}
\value{
ggready decorated
}
\description{
Prepares decorated data.frame for ggplot. Calls
\code{\link{resolve}} and appends
units to label using \code{\link{append_units}}
(passing \code{style = 'plotmath'} if \code{parse}
is true, else \code{style = 'plain'}).
Enforces classes 'decorated' and  'ggready'.
}
\examples{
example(ggready)
}
\seealso{
Other ggready: 
\code{\link{ggready.data.frame}()},
\code{\link{ggready}()}
}
\concept{ggready}
\keyword{internal}
